config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.syslog-ng.new
config etc/syslog-ng/scl.conf.new
config etc/syslog-ng/syslog-ng.conf.new
config etc/logrotate.d/syslog-ng.new

( cd usr/lib64 ; rm -rf libsyslog-ng.so )
( cd usr/lib64 ; ln -sf libsyslog-ng-3.5.2.so libsyslog-ng.so )
( cd usr/lib/syslog-ng ; rm -rf libafsocket.so )
( cd usr/lib/syslog-ng ; ln -sf libafsocket-tls.so libafsocket.so )
